<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- bootstrap css -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

    <!-- fontawesome -->
    <script src="https://kit.fontawesome.com/b63eb65403.js" crossorigin="anonymous"></script>
    <!-- external css -->
    <link rel="stylesheet" type="text/css" href="./index.css">

    <title>Bootstrap Components</title>
</head>
<body>
    <!-- navbar -->
     <nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-top">
       <a class="navbar-brand" href="#">Navbar</a>
       <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#batch169nav" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
         <span class="navbar-toggler-icon"></span>
       </button>

       <div class="collapse navbar-collapse" id="batch169nav">
         <ul class="navbar-nav ml-auto">
           <li class="nav-item">
             <a class="nav-link" href="#landing">Home</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="#gallery">Gallery</a>
           </li>
           <li class="nav-item">
             <a class="nav-link" href="#contact">Contact</a>
           </li>
         </ul>
       </div>
     </nav>
    <!-- end of navbar -->

    <!-- container: landing page -->
    <div class="container">
        <!-- 
            class row uses flex
            which means the divs inside it are actually flex children
            this is also means that we can use flex directions, justify content or align items
         -->
         <div class="row d-none d-md-flex flex-column align-items-center mt-5 jumbotron text-white" id="landingPage">
            <div class="col-10 col-md-2">
                <img class="img-fluid rounded-circle" src="https://www.biography.com/.image/t_share/MTE5NDg0MDU0ODg4ODA5OTk5/charles-babbage-wc-9193834-1-402.jpg" alt="profile">
            </div>
            <div class="col-12 col-md-4 text-center">
                <h1 class="mt-4 mb-2">Charles Babbage</h1>
                <h3 class="my-2">Full Stack Web Developer</h3>
            </div>
            <div class="col-12 col-md-6 text-center">
                <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Eos nobis, ipsum nam corporis, possimus in voluptatem quod neque quae excepturi dolor qui, fugiat explicabo sit, veritatis at cupiditate facere obcaecati!
                </p>
            </div>          
         </div>
    </div>
    <!-- end of landing page -->

    <!-- carousel -->
    <div class="row mt-5" id="gallery">
        <!-- we will use mx-auto here because this row will contain 1 column -->
        <div class="col-12 col-md-6 mx-auto">
            <div class="carousel slide" data-ride="carousel" id="carouselExampleIndicators">
                <ol class="carousel-indicators">
                    <li class="active" data-target="#carouselExampleIndicators" data-slide-to="0"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                    <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                </ol>
                <div class="carousel-inner">
                    <div class="carousel-item active">
                        <img class="d-block w-100" src="https://placekitten.com/500/300" alt="...">
                    </div>  
                    <div class="carousel-item">
                        <img class="d-block w-100" src="https://placebear.com/500/300" alt="...">
                    </div>
                    <div class="carousel-item">
                        <img class="d-block w-100" src="https://place-puppy.com/500x300" alt="...">
                    </div>  
                    <div class="carousel-item">
                        <img class="d-block w-100" src="https://i.picsum.photos/id/495/500/300.jpg?hmac=bNZe2p4JE9FGCREsJ6zPwgcdR0Or6oYz2Zk5wtwedbo" alt="...">
                    </div>                      
                </div>
                <button class="carousel-control-prev" type="button" data-target="#carouselExampleIndicators" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-target="#carouselExampleIndicators" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </button>
            </div>
        </div>
    </div>
    <!-- end of carousel -->

    <!-- contact section -->
    <h2 class="text-center my-5" id="#contact">Contact Us!</h2>
    <div class="row">
        <div class="col-12 col-md-6">
            <h3 class="text-center">Visit Us!</h3>
            <iframe id="gmap_canvas" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3860.4100409868956!2d121.04148384953422!3d14.632650280165318!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3397b7afe6a39331%3A0xd367e6dc5e274032!2sCaswynn%20Building%2C%20134%20Timog%20Ave%2C%20Diliman%2C%20Quezon%20City%2C%201103%20Metro%20Manila!5e0!3m2!1sen!2sph!4v1658407264990!5m2!1sen!2sph" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>
        </div>
        <div class="col-12 col-md-6">
            <h3 class="text-center">Message Us!</h3>
            <form>
                <div class="form-group">
                    <label for="txt-username">Name:</label>
                    <input class="form-control" id="txt-username" type="text" name="name" placeholder="Enter Full Name" />  
                </div>
                <div class="form-group">
                    <label for="txt-email">Email Address:</label>
                    <input class="form-control" id="txt-email" type="text" name="email" placeholder="sample@sample.com" />  
                </div>
                <div class="form-group">
                    <label for="txt-services">Services:</label>
                    <select class="form-control" id="txt-services" name="services">
                        <option>Front-end Developer</option>
                        <option>Back-end Developer</option>
                        <option>Full Stack Web Developer</option>
                        <option>Others</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="txt-message">Messages:</label>
                    <textarea class="form-control" id="txt-message" rows="3"></textarea>
                </div>
                <button class="btn btn-block btn-outline-primary" type="submit">Submit</button>
                <button class="btn btn-block btn-outline-danger" type="reset">Reset</button>
            </form>
        </div>
    </div>
    <!-- end of contact section -->

    <!-- footer -->
    <footer class="p-3 bg-dark mt-5">
        <p class="text-center text-white">This is our footer</p>
        <p class="text-center text-white">
            You may add parting message, info, copyright disclaimer or even social media links
        </p>
        <div class="d-flex justify-content-center px-5">
            <a class="text-white mx-2" target="_blank" href="https://facebook.com">
                <i class="fa-brands fa-facebook fa-icons"></i>
            </a>
            <a class="text-white mx-2" target="_blank" href="https://instagram.com">
                <i class="fa-brands fa-instagram-square fa-icons"></i>
            </a>
        </div>
    </footer>
    <!-- end of footer -->


    <!-- JS dependencies -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>